//
//  GBRootViewController.m
//  RTNaviDemo
//
//  Created by Jasonvvei on 2017/3/17.
//  Copyright © 2017年 GeekBean Technology Co., Ltd. All rights reserved.
//

#import "GBRootViewController.h"
#import "GBNavigationController.h"
#import "VC1.h"
#import "VC2.h"
#import "VC3.h"
#import "VC4.h"

@interface GBRootViewController ()

@end

@implementation GBRootViewController

#pragma mark - LifeCycle

- (instancetype)init {
    if (self = [super init]) {
        [self customizeTabBarAppearance];
    }
    return  self;
}

- (void)viewDidLoad {
    [super viewDidLoad];
}

- (void)dealloc {
    [[NSNotificationCenter defaultCenter] removeObserver:self];
}

#pragma mark - DataSource
#pragma mark - Delegate

#pragma mark - Public Method

+ (instancetype)rootViewController {
    GBRootViewController *rootTabBarController = [[self alloc] init];
    // childrenViewController
    VC1 *vc1 = [[VC1 alloc] init];
    GBNavigationController *navi1 = [self navigationControllerWithRootViewController:vc1];
    VC2 *vc2 = [[VC2 alloc] init];
    GBNavigationController *navi2 = [self navigationControllerWithRootViewController:vc2];
    VC3 *vc3 = [[VC3 alloc] init];
    GBNavigationController *navi3 = [self navigationControllerWithRootViewController:vc3];
    VC4 *vc4 = [[VC4 alloc] init];
    GBNavigationController *navi4 = [self navigationControllerWithRootViewController:vc4];
    // ItemsAttributes
    [self setupTabBarItemsAttributesForController:rootTabBarController];
    rootTabBarController.viewControllers = @[navi1, navi2, navi3, navi4];
    return rootTabBarController;
}

#pragma mark - Property Method

#pragma mark - NavigationBar Configuration

#pragma mark - Navigation

#pragma mark - Private Method

- (void)customizeTabBarAppearance {
    // normalAttrs
    NSMutableDictionary *normalAttrs = [NSMutableDictionary dictionary];
    normalAttrs[NSForegroundColorAttributeName] = [UIColor blackColor];
    normalAttrs[NSFontAttributeName] = [UIFont systemFontOfSize:9.0];
    // selectedAttrs
    NSMutableDictionary *selectedAttrs = [NSMutableDictionary dictionary];
    selectedAttrs[NSForegroundColorAttributeName] = [UIColor blueColor];
    selectedAttrs[NSFontAttributeName] = [UIFont systemFontOfSize:9.0];
    
    UITabBarItem *tabBar = [UITabBarItem appearance];
    [tabBar setTitleTextAttributes:normalAttrs forState:UIControlStateNormal];
    [tabBar setTitleTextAttributes:selectedAttrs forState:UIControlStateSelected];
    [[UITabBar appearance] setBackgroundImage:[[UIImage alloc] init]];
    [[UITabBar appearance] setBackgroundColor:[UIColor whiteColor]];
    [[UITabBar appearance] setShadowImage:[UIImage imageNamed:@"tapbar_top_line"]];
}


+ (void)setupTabBarItemsAttributesForController:(CYLTabBarController *)tabBarController {
    NSDictionary *messageItemAttr = @{
                                      CYLTabBarItemTitle : @"Message",
                                      CYLTabBarItemImage : @"tabbar_msg_default",
                                      CYLTabBarItemSelectedImage : @"tabbar_msg_selected",
                                      };
    NSDictionary *talentItemAttr = @{
                                     CYLTabBarItemTitle : @"Talent",
                                     CYLTabBarItemImage : @"tabbar_talent_default",
                                     CYLTabBarItemSelectedImage : @"tabbar_talent_selected",
                                     };
    NSDictionary *jobItemAttr = @{
                                  CYLTabBarItemTitle : @"Job",
                                  CYLTabBarItemImage : @"tabbar_job_default",
                                  CYLTabBarItemSelectedImage : @"tabbar_job_selected",
                                  };
    NSDictionary *companyItemAttr = @{
                                      CYLTabBarItemTitle : @"Center",
                                      CYLTabBarItemImage : @"tabbar_comp_default",
                                      CYLTabBarItemSelectedImage : @"tabbar_comp_selected"
                                      };
    NSArray *tabBarItemsAttributes = @[messageItemAttr, talentItemAttr, jobItemAttr, companyItemAttr];
    tabBarController.tabBarItemsAttributes = tabBarItemsAttributes;
}

+ (GBNavigationController *)navigationControllerWithRootViewController:(UIViewController *)naviRootViewController {
    GBNavigationController *navigationController = [[GBNavigationController alloc] initWithRootViewController:naviRootViewController];
    navigationController.navigationBar.translucent = YES;
    navigationController.useSystemBackBarButtonItem = NO;
    return navigationController;
}

@end
