//
//  GBViewControllerIntercepter.m
//  ShareJobStudent
//
//  Created by Sunnyyoung on 15/9/23.
//  Copyright © 2015年 GeekBean Technology Co., Ltd. All rights reserved.
//

#import "GBViewControllerIntercepter.h"

@implementation GBViewControllerIntercepter

#pragma mark - LifeCycle

+ (void)load {
    [super load];
    static dispatch_once_t ViewControllerIntercepterToken;
    dispatch_once(&ViewControllerIntercepterToken, ^{
        [UIViewController aspect_hookSelector:@selector(viewDidAppear:)
                                  withOptions:AspectPositionAfter
                                   usingBlock:^(id < AspectInfo > aspectInfo, BOOL animated){
                                       [self viewDidAppear:animated viewController:[aspectInfo instance]];
                                   } error:NULL];
        [UIViewController aspect_hookSelector:@selector(viewDidDisappear:)
                                  withOptions:AspectPositionAfter
                                   usingBlock:^(id < AspectInfo > aspectInfo, BOOL animated){
                                       [self viewDidDisappear:animated viewController:[aspectInfo instance]];
                                   } error:NULL];
    });
}

#pragma mark Intercepter method

+ (void)viewDidAppear:(BOOL)animated viewController:(UIViewController *)viewController {
    NSLog(@"----viewDidAppear--%@", NSStringFromClass([viewController class]));
}

+ (void)viewDidDisappear:(BOOL)animated viewController:(UIViewController *)viewController {
    NSLog(@"----viewDidDisappear--%@", NSStringFromClass([viewController class]));
}

#pragma mark - Menth

@end
