//
//  Push5.m
//  RTNaviDemo
//
//  Created by Jasonvvei on 2017/3/17.
//  Copyright © 2017年 GeekBean Technology Co., Ltd. All rights reserved.
//

#import "Push5.h"
#import "TempNavigationBar.h"

@interface Push5 () <UITableViewDataSource, UITableViewDelegate>

@property (nonatomic, weak) UITableView *tableView;

@end

@implementation Push5

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = VVRandomColor;
//    self.title = @"Push5Push5Push5Push5Push5";
    
    UIButton *button1 = [UIButton buttonWithType:UIButtonTypeCustom];
    [button1 setTitle:@"返回1" forState:UIControlStateNormal];
    [button1 sizeToFit];
    [button1 addTarget:self action:@selector(back) forControlEvents:UIControlEventTouchUpInside];
    UIBarButtonItem *item1 = [[UIBarButtonItem alloc] initWithCustomView:button1];
    UIButton *button2 = [UIButton buttonWithType:UIButtonTypeCustom];
    [button2 setTitle:@"返回2" forState:UIControlStateNormal];
    [button2 sizeToFit];
    [button2 addTarget:self action:@selector(back) forControlEvents:UIControlEventTouchUpInside];
    UIBarButtonItem *item2 = [[UIBarButtonItem alloc] initWithCustomView:button2];
    self.navigationItem.leftBarButtonItems = @[item1, item2];
    
    UILabel *titleLabel = [[UILabel alloc] init];
    titleLabel.text = @"Push5Push5Push5Push5Push5";
    titleLabel.lineBreakMode = NSLineBreakByTruncatingMiddle;
    [titleLabel sizeToFit];
    self.navigationItem.titleView = titleLabel;
    
    UITableView *tableView = [[UITableView alloc] init];
    self.tableView = tableView;
    self.tableView.dataSource = self;
    self.tableView.delegate = self;
    [self.view addSubview:self.tableView];
    
}

- (Class)rt_navigationBarClass {
    return [TempNavigationBar class];
}

- (void)back {
    [self.navigationController popViewControllerAnimated:YES];
}

- (void)viewDidLayoutSubviews {
    [super viewDidLayoutSubviews];
    self.tableView.frame = self.view.bounds;
}

#pragma mark - UITableViewDataSource, UITableViewDelegate

- (void)scrollViewDidScroll:(UIScrollView *)scrollView {
    if (scrollView.contentOffset.y >=0) {
        [self.navigationController setNavigationBarHidden:YES animated:YES];
    } else {
        [self.navigationController setNavigationBarHidden:NO animated:YES];
    }
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 100;
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    return 50.0;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [self.tableView dequeueReusableCellWithIdentifier:@"tt"];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:@"tt"];
    }
    cell.textLabel.text = [NSString stringWithFormat:@"123123----%@",@(indexPath.row)];
    cell.detailTextLabel.text = [NSString stringWithFormat:@"asdasdasd----%@",@(indexPath.row)];
    
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
}

@end
