//
//  VC1.m
//  RTNaviDemo
//
//  Created by Jasonvvei on 2017/3/17.
//  Copyright © 2017年 GeekBean Technology Co., Ltd. All rights reserved.
//

#import "VC1.h"
#import "Push1.h"
#import "Push2.h"
#import "Push3.h"
#import "Push4.h"
#import "Push5.h"

@interface VC1 () <UITableViewDataSource, UITableViewDelegate>

@property (nonatomic, weak) UITableView *tableView;

@end

@implementation VC1

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor grayColor];
    
    UITableView *tableView = [[UITableView alloc] init];
    self.tableView = tableView;
    self.tableView.dataSource = self;
    self.tableView.delegate = self;
    [self.view addSubview:self.tableView];
    
    
    self.title = @"第一个RootNavi";
}

- (void)viewDidLayoutSubviews {
    [super viewDidLayoutSubviews];
    self.tableView.frame = self.view.bounds;
}

#pragma mark - UITableViewDataSource, UITableViewDelegate

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 100;
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    return 50.0;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [self.tableView dequeueReusableCellWithIdentifier:@"tt"];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:@"tt"];
    }
    cell.textLabel.text = [NSString stringWithFormat:@"push----%@",@(indexPath.row)];
    cell.detailTextLabel.text = [NSString stringWithFormat:@"哦哦哦哦哦哦哦哦哦----%@",@(indexPath.row)];
    
    if (indexPath.row == 0) {
        cell.textLabel.text = @"禁止手势返回-自定义返回按钮";
        cell.detailTextLabel.text = @"";
    } else if (indexPath.row == 1) {
        cell.textLabel.text = @"允许手势返回-标题颜色";
        cell.detailTextLabel.text = @"";
    } else if (indexPath.row == 2) {
        cell.textLabel.text = @"隐藏导航栏";
        cell.detailTextLabel.text = @"";
    } else if (indexPath.row == 3) {
        cell.textLabel.text = @"Push and Remove";
        cell.detailTextLabel.text = @"";
    } else if (indexPath.row == 4) {
        cell.textLabel.text = @"CustomBar";
        cell.detailTextLabel.text = @"";
    }
    
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    
    if (indexPath.row == 0) {
        Push1 *push1 = [[Push1 alloc] init];
        [self.navigationController pushViewController:push1 animated:YES];
    } else if (indexPath.row == 1) {
        Push2 *push2 = [[Push2 alloc] init];
        [self.navigationController pushViewController:push2 animated:YES];
    } else if (indexPath.row == 2) {
        Push3 *push3 = [[Push3 alloc] init];
        [self.navigationController pushViewController:push3 animated:YES];
    } else if (indexPath.row == 3) {
        Push4 *push4 = [[Push4 alloc] init];
        [self.navigationController pushViewController:push4 animated:YES];
    } else if (indexPath.row == 4) {
        Push5 *push5 = [[Push5 alloc] init];
        [self.navigationController pushViewController:push5 animated:YES];
    }
    
}

@end
